* [gentoo-commits] proj/lua:master commit in: net-im/prosody/
@ 2012-08-04 16:55 Misbakh-Soloviev Vadim A.
0 siblings, 0 replies; 10+ messages in thread
From: Misbakh-Soloviev Vadim A. @ 2012-08-04 16:55 UTC (permalink / raw
To: gentoo-commits
commit: c86c159b866206900e525516021f77045f107e67
Author: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
AuthorDate: Sat Aug 4 16:55:39 2012 +0000
Commit: Misbakh-Soloviev Vadim A. <mva <AT> mva <DOT> name>
CommitDate: Sat Aug 4 16:55:39 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/lua.git;a=commit;h=c86c159b
prosody fix (now we installing tools)
---
net-im/prosody/prosody-9999.ebuild | 9 +++++++--
1 files changed, 7 insertions(+), 2 deletions(-)
diff --git a/net-im/prosody/prosody-9999.ebuild b/net-im/prosody/prosody-9999.ebuild
index 5e7e6f3..2d69e36 100644
--- a/net-im/prosody/prosody-9999.ebuild
+++ b/net-im/prosody/prosody-9999.ebuild
@@ -67,7 +67,9 @@ src_configure() {
src_install() {
DESTDIR="${D}" emake install || die "make failed"
- newinitd "${FILESDIR}/${PN}".initd ${PN}
+ newinitd "${FILESDIR}/${PN}".initd "${PN}"
+ insinto "/usr/$(get_libdir)/${PN}"
+ doins -r tools
}
src_test() {
@@ -76,5 +78,8 @@ src_test() {
}
pkg_postinst() {
- elog "Please note that the module 'console' has been renamed to 'admin_telnet'."
+ einfo ""
+ einfo "If you want to migrate your data from another XMPP-server"
+ einfo "software, please take a look into /usr/$(get_libdir)/${PN}/tools"
+ einfo ""
}
^ permalink raw reply related [flat|nested] 10+ messages in thread
* [gentoo-commits] proj/lua:master commit in: net-im/prosody/
@ 2012-08-05 2:33 Misbakh-Soloviev Vadim A.
0 siblings, 0 replies; 10+ messages in thread
From: Misbakh-Soloviev Vadim A. @ 2012-08-05 2:33 UTC (permalink / raw
To: gentoo-commits
commit: 0c58940000581dd936624f796be5338068d8f688
Author: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
AuthorDate: Sun Aug 5 02:33:11 2012 +0000
Commit: Misbakh-Soloviev Vadim A. <mva <AT> mva <DOT> name>
CommitDate: Sun Aug 5 02:33:11 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/lua.git;a=commit;h=0c589400
net-im/prosody: fixed migration
---
net-im/prosody/prosody-9999.ebuild | 28 +++++++++++++++++++---------
1 files changed, 19 insertions(+), 9 deletions(-)
diff --git a/net-im/prosody/prosody-9999.ebuild b/net-im/prosody/prosody-9999.ebuild
index ac0749c..3bc2cbe 100644
--- a/net-im/prosody/prosody-9999.ebuild
+++ b/net-im/prosody/prosody-9999.ebuild
@@ -78,12 +78,15 @@ src_install() {
DESTDIR="${D}" emake install || die "make failed"
newinitd "${FILESDIR}/${PN}".initd "${PN}"
use migration && (
- cd "${S}/tools"
+ cd "${S}/tools/migration"
+ DESTDIR="${D}" emake install || die "migrator install failed"
+ cd "${S}"
+ rm -rf tools/migration
insinto $(pkg-config lua --variable INSTALL_LMOD)
- doins erlparse.lua
- newbin ejabberd2prosody{.lua,}
- newbin ejabberdsql2prosody{.lua,}
- newbin xep227toprosody{.lua,}
+ doins tools/erlparse.lua
+ rm tools/erlparse.lua
+ insinto "/usr/$(get_libdir)/${PN}"
+ doins -r tools
)
}
@@ -92,7 +95,14 @@ src_test() {
./run_tests.sh
}
-#pkg_postinst() {
-# einfo ""
-# einfo ""
-#}
+pkg_postinst() {
+ use migration && (
+ einfo 'You have enabled "migration" USE-flag.'
+ einfo "If you want to migrate data from Ejabberd server, then"
+ einfo "take a look at /usr/$(get_libdir)/${PN}/*{2,to}prosody.lua"
+ einfo "migration scripts."
+ einfo 'Also, you can find "prosody-migrator" binary as usefull'
+ einfo "to migrate data from jabberd14, or between prosody files"
+ einfo "storage and SQLite3."
+ )
+}
^ permalink raw reply related [flat|nested] 10+ messages in thread
* [gentoo-commits] proj/lua:master commit in: net-im/prosody/
@ 2013-05-22 21:56 Vadim A. Misbakh-Soloviov
0 siblings, 0 replies; 10+ messages in thread
From: Vadim A. Misbakh-Soloviov @ 2013-05-22 21:56 UTC (permalink / raw
To: gentoo-commits
commit: 4d9f60d2fb26eb73eb2fdf22b4350cab78bed121
Author: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
AuthorDate: Wed May 22 21:56:00 2013 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Wed May 22 21:56:00 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/lua.git;a=commit;h=4d9f60d2
[net-im/prosody] prosody ebuild fixes
Signed-off-by: Vadim A. Misbakh-Soloviov <mva <AT> mva.name>
---
net-im/prosody/prosody-9999.ebuild | 68 +++++++++++++++++++++--------------
1 files changed, 41 insertions(+), 27 deletions(-)
diff --git a/net-im/prosody/prosody-9999.ebuild b/net-im/prosody/prosody-9999.ebuild
index 9e6181c..db7b560 100644
--- a/net-im/prosody/prosody-9999.ebuild
+++ b/net-im/prosody/prosody-9999.ebuild
@@ -6,7 +6,6 @@ EAPI="5"
inherit eutils multilib toolchain-funcs versionator mercurial
-MY_PV=$(replace_version_separator 3 '')
DESCRIPTION="Prosody is a flexible communications server for Jabber/XMPP written in Lua."
HOMEPAGE="http://prosody.im/"
EHG_REPO_URI="http://hg.prosody.im/trunk"
@@ -14,30 +13,38 @@ EHG_REPO_URI="http://hg.prosody.im/trunk"
LICENSE="MIT"
SLOT="0"
KEYWORDS=""
-IUSE="+libevent mysql postgres sqlite +ssl +zlib +luajit ipv6 migration"
-
-DEPEND=" virtual/lua
- net-im/jabber-base
- luajit? ( dev-lang/luajit:2 )
- >=net-dns/libidn-1.1
- >=dev-libs/openssl-0.9.8"
-RDEPEND="${DEPEND}
- dev-lua/luasocket
- ipv6? ( =dev-lua/luasocket-9999 )
- ssl? ( dev-lua/luasec )
- dev-lua/luaexpat
- dev-lua/luafilesystem
- mysql? ( >=dev-lua/luadbi-0.5[mysql] )
- postgres? ( >=dev-lua/luadbi-0.5[postgres] )
- sqlite? ( >=dev-lua/luadbi-0.5[sqlite] )
- libevent? ( dev-lua/luaevent )
- zlib? ( dev-lua/lua-zlib )"
-
-S="${WORKDIR}/${PN}-${MY_PV}"
+IUSE="doc +libevent mysql postgres sqlite +ssl +zlib luajit ipv6 migration"
+
+DEPEND="
+ || ( dev-lang/luajit:2 =dev-lang/lua-5.1* )
+ net-im/jabber-base
+ luajit? ( dev-lang/luajit:2 )
+ >=net-dns/libidn-1.1
+ >=dev-libs/openssl-0.9.8
+"
+
+RDEPEND="
+ ${DEPEND}
+ dev-lua/luasocket
+ ipv6? ( =dev-lua/luasocket-9999 )
+ ssl? ( =dev-lua/luasec-9999 )
+ dev-lua/luaexpat
+ dev-lua/luafilesystem
+ mysql? ( >=dev-lua/luadbi-0.5[mysql] )
+ postgres? ( >=dev-lua/luadbi-0.5[postgres] )
+ sqlite? ( >=dev-lua/luadbi-0.5[sqlite] )
+ libevent? ( dev-lua/luaevent )
+ zlib? ( dev-lua/lua-zlib )
+"
+
+S="${WORKDIR}/${P}"
JABBER_ETC="/etc/jabber"
JABBER_SPOOL="/var/spool/jabber"
+
+DOCS=( -r doc/ HACKERS AUTHORS )
+
src_prepare() {
epatch "${FILESDIR}/${PN}-0.8.0-cfg.lua.patch"
sed -e "s!MODULES = \$(DESTDIR)\$(PREFIX)/lib/!MODULES = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!" -i Makefile
@@ -46,13 +53,16 @@ src_prepare() {
sed -e "s!INSTALLEDMODULES = \$(PREFIX)/lib/!INSTALLEDMODULES = \$(PREFIX)/$(get_libdir)/!" -i Makefile
sed -e 's!\(os.execute(\)\(CFG_SOURCEDIR.."/../../bin/prosody"\)\();\)!\1"/usr/bin/prosody"\3!' -i util/prosodyctl.lua
sed -e 's!\(desired_user = .* or "\)\(prosody\)\(";\)!\1jabber\3!' -i prosodyctl
- use luajit && sed -e "s!\(/usr/bin/env\) lua!\1 luajit!" -i prosody -i prosodyctl
}
src_configure() {
- use luajit && \
- myconf="--with-lua-include=$($(tc-getPKG_CONFIG) --variable includedir luajit)" || \
- myconf="--with-lua-include=$($(tc-getPKG_CONFIG) --variable includedir lua)"
+ local lua=lua;
+
+ use luajit && {
+ myconf="--lua-suffix=jit"
+ lua=luajit;
+ }
+
# the configure script is handcrafted (and yells at unknown options)
# hence do not use 'econf'
./configure --prefix="/usr" \
@@ -61,8 +71,10 @@ src_configure() {
--datadir="${JABBER_SPOOL}" \
--with-lua-lib=/usr/$(get_libdir) \
--c-compiler="$(tc-getCC)" --linker="$(tc-getCC)" \
- --cflags="${CFLAGS} -Wall -fPIC" \
+ --cflags="${CFLAGS} -Wall -fPIC -D_GNU_SOURCE" \
--ldflags="${LDFLAGS} -shared" \
+ --runwith="${lua}" \
+ --with-lua-include="$($(tc-getPKG_CONFIG) --variable includedir ${lua})" \
--require-config "${myconf}" || die "configure failed"
}
@@ -75,10 +87,12 @@ src_compile() {
}
src_install() {
- DESTDIR="${D}" emake install || die "make failed"
+ default
+# DESTDIR="${D}" emake install || die "make failed"
newinitd "${FILESDIR}/${PN}".initd "${PN}"
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}".logrotate "${PN}"
+
use migration && (
cd "${S}/tools/migration"
DESTDIR="${D}" emake install || die "migrator install failed"
^ permalink raw reply related [flat|nested] 10+ messages in thread
* [gentoo-commits] proj/lua:master commit in: net-im/prosody/
@ 2013-06-15 9:10 Vadim A. Misbakh-Soloviov
0 siblings, 0 replies; 10+ messages in thread
From: Vadim A. Misbakh-Soloviov @ 2013-06-15 9:10 UTC (permalink / raw
To: gentoo-commits
commit: f685faa142562e4fd8daab5962aa116462b53142
Author: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
AuthorDate: Sat Jun 15 09:10:26 2013 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Sat Jun 15 09:10:26 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/lua.git;a=commit;h=f685faa1
[net-im/prosody] some LuaJIT-related and permissions improvements
Signed-off-by: Vadim A. Misbakh-Soloviov <mva <AT> mva.name>
---
net-im/prosody/prosody-9999.ebuild | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/net-im/prosody/prosody-9999.ebuild b/net-im/prosody/prosody-9999.ebuild
index db7b560..a6201a3 100644
--- a/net-im/prosody/prosody-9999.ebuild
+++ b/net-im/prosody/prosody-9999.ebuild
@@ -53,6 +53,10 @@ src_prepare() {
sed -e "s!INSTALLEDMODULES = \$(PREFIX)/lib/!INSTALLEDMODULES = \$(PREFIX)/$(get_libdir)/!" -i Makefile
sed -e 's!\(os.execute(\)\(CFG_SOURCEDIR.."/../../bin/prosody"\)\();\)!\1"/usr/bin/prosody"\3!' -i util/prosodyctl.lua
sed -e 's!\(desired_user = .* or "\)\(prosody\)\(";\)!\1jabber\3!' -i prosodyctl
+
+ use luajit && {
+ find . -type f -name "*.lua" -print0 | xargs -0 sed -re "1s%#!.*%#!/usr/bin/env luajit%" -i
+ }
}
src_configure() {
@@ -101,6 +105,8 @@ src_install() {
insinto $($(tc-getPKG_CONFIG) lua --variable INSTALL_LMOD)
doins tools/erlparse.lua
rm tools/erlparse.lua
+ fowners "jabber:jabber" -R "/usr/$(get_libdir)/${PN}"
+ fperms "775" -R "/usr/$(get_libdir)/${PN}"
insinto "/usr/$(get_libdir)/${PN}"
doins -r tools
)
^ permalink raw reply related [flat|nested] 10+ messages in thread
* [gentoo-commits] proj/lua:master commit in: net-im/prosody/
@ 2013-09-13 5:11 Vadim A. Misbakh-Soloviov
0 siblings, 0 replies; 10+ messages in thread
From: Vadim A. Misbakh-Soloviov @ 2013-09-13 5:11 UTC (permalink / raw
To: gentoo-commits
commit: c7fc803ef05dce78ffdf9a640645b54993699734
Author: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
AuthorDate: Fri Sep 13 05:02:30 2013 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Fri Sep 13 05:02:30 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/lua.git;a=commit;h=c7fc803e
[net-im/prosody] Added 0.9.1 ebuild
Signed-off-by: Vadim A. Misbakh-Soloviov <mva <AT> mva.name>
---
net-im/prosody/Manifest | 1 +
net-im/prosody/prosody-0.9.1.ebuild | 131 ++++++++++++++++++++++++++++++++++++
2 files changed, 132 insertions(+)
diff --git a/net-im/prosody/Manifest b/net-im/prosody/Manifest
new file mode 100644
index 0000000..7cec894
--- /dev/null
+++ b/net-im/prosody/Manifest
@@ -0,0 +1 @@
+DIST prosody-0.9.1.tar.gz 265755 SHA256 6cdea6fd6027bec621f7995709ca825a29aa5e066b321bfbb7785925c9f32cd5 SHA512 dbd0d8476f0abb4030f8c1ac68786cde2dd68bc2e6602ba8ea27b7d23f2010f963dd3ff50e0a6e7780bddfba014c7bbd1fa0c607d070d979131c15431e04c3fa WHIRLPOOL b07ff97008207a24e00ed051f6c7bab77200b8ae6c4b2cec95cdca25c1227600075e7cd240ed57f7cb07764239e72d545002e976c794f9434d13b0597d35ad61
diff --git a/net-im/prosody/prosody-0.9.1.ebuild b/net-im/prosody/prosody-0.9.1.ebuild
new file mode 100644
index 0000000..c8f88cc
--- /dev/null
+++ b/net-im/prosody/prosody-0.9.1.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: This ebuild is from Lua overlay; Bumped by mva; $
+
+EAPI="5"
+
+inherit eutils multilib toolchain-funcs versionator
+
+DESCRIPTION="Prosody is a flexible communications server for Jabber/XMPP written in Lua."
+HOMEPAGE="http://prosody.im/"
+
+SRC_URI="https://prosody.im/downloads/source/prosody-0.9.1.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS=""
+IUSE="doc +libevent mysql postgres sqlite +ssl +zlib luajit ipv6 migration"
+
+DEPEND="
+ || ( dev-lang/luajit:2 =dev-lang/lua-5.1* )
+ net-im/jabber-base
+ luajit? ( dev-lang/luajit:2 )
+ >=net-dns/libidn-1.1
+ >=dev-libs/openssl-0.9.8
+"
+
+RDEPEND="
+ ${DEPEND}
+ dev-lua/luasocket
+ ipv6? ( =dev-lua/luasocket-9999 )
+ ssl? ( =dev-lua/luasec-9999 )
+ dev-lua/luaexpat
+ dev-lua/luafilesystem
+ mysql? ( >=dev-lua/luadbi-0.5[mysql] )
+ postgres? ( >=dev-lua/luadbi-0.5[postgres] )
+ sqlite? ( >=dev-lua/luadbi-0.5[sqlite] )
+ libevent? ( dev-lua/luaevent )
+ zlib? ( dev-lua/lua-zlib )
+"
+
+S="${WORKDIR}/${P}"
+
+JABBER_ETC="/etc/jabber"
+JABBER_SPOOL="/var/spool/jabber"
+
+
+DOCS=( -r doc/ HACKERS AUTHORS )
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-0.8.0-cfg.lua.patch"
+ sed -e "s!MODULES = \$(DESTDIR)\$(PREFIX)/lib/!MODULES = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!" -i Makefile
+ sed -e "s!SOURCE = \$(DESTDIR)\$(PREFIX)/lib/!SOURCE = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!" -i Makefile
+ sed -e "s!INSTALLEDSOURCE = \$(PREFIX)/lib/!INSTALLEDSOURCE = \$(PREFIX)/$(get_libdir)/!" -i Makefile
+ sed -e "s!INSTALLEDMODULES = \$(PREFIX)/lib/!INSTALLEDMODULES = \$(PREFIX)/$(get_libdir)/!" -i Makefile
+ sed -e 's!\(os.execute(\)\(CFG_SOURCEDIR.."/../../bin/prosody"\)\();\)!\1"/usr/bin/prosody"\3!' -i util/prosodyctl.lua
+ sed -e 's!\(desired_user = .* or "\)\(prosody\)\(";\)!\1jabber\3!' -i prosodyctl
+
+ use luajit && {
+ find . -type f -name "*.lua" -print0 | xargs -0 sed -re "1s%#!.*%#!/usr/bin/env luajit%" -i
+ }
+}
+
+src_configure() {
+ local lua=lua;
+
+ use luajit && {
+ myconf="--lua-suffix=jit"
+ lua=luajit;
+ }
+
+ # the configure script is handcrafted (and yells at unknown options)
+ # hence do not use 'econf'
+ ./configure --prefix="/usr" \
+ --ostype=linux \
+ --sysconfdir="${JABBER_ETC}" \
+ --datadir="${JABBER_SPOOL}" \
+ --with-lua-lib=/usr/$(get_libdir) \
+ --c-compiler="$(tc-getCC)" --linker="$(tc-getCC)" \
+ --cflags="${CFLAGS} -Wall -fPIC -D_GNU_SOURCE" \
+ --ldflags="${LDFLAGS} -shared" \
+ --runwith="${lua}" \
+ --with-lua-include="$($(tc-getPKG_CONFIG) --variable includedir ${lua})" \
+ --require-config "${myconf}" || die "configure failed"
+}
+
+src_compile() {
+ default
+ use migration && (
+ cd "${S}/tools/migration"
+ emake || die "emake migrator fails"
+ )
+}
+
+src_install() {
+ default
+# DESTDIR="${D}" emake install || die "make failed"
+ newinitd "${FILESDIR}/${PN}".initd "${PN}"
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/${PN}".logrotate "${PN}"
+
+ use migration && (
+ cd "${S}/tools/migration"
+ DESTDIR="${D}" emake install || die "migrator install failed"
+ cd "${S}"
+ rm -rf tools/migration
+ insinto $($(tc-getPKG_CONFIG) lua --variable INSTALL_LMOD)
+ doins tools/erlparse.lua
+ rm tools/erlparse.lua
+ fowners "jabber:jabber" -R "/usr/$(get_libdir)/${PN}"
+ fperms "775" -R "/usr/$(get_libdir)/${PN}"
+ insinto "/usr/$(get_libdir)/${PN}"
+ doins -r tools
+ )
+}
+
+src_test() {
+ cd tests
+ ./run_tests.sh
+}
+
+pkg_postinst() {
+ use migration && (
+ einfo 'You have enabled "migration" USE-flag.'
+ einfo "If you want to migrate data from Ejabberd server, then"
+ einfo "take a look at /usr/$(get_libdir)/${PN}/*{2,to}prosody.lua"
+ einfo "migration scripts."
+ einfo 'Also, you can find "prosody-migrator" binary as usefull'
+ einfo "to migrate data from jabberd14, or between prosody files"
+ einfo "storage and SQLite3."
+ )
+}
^ permalink raw reply related [flat|nested] 10+ messages in thread
* [gentoo-commits] proj/lua:master commit in: net-im/prosody/
@ 2013-09-13 12:49 Vadim A. Misbakh-Soloviov
0 siblings, 0 replies; 10+ messages in thread
From: Vadim A. Misbakh-Soloviov @ 2013-09-13 12:49 UTC (permalink / raw
To: gentoo-commits
commit: 8e3d1edcc1b07863c35bbaf3ac1f9d0f11fe02d0
Author: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
AuthorDate: Fri Sep 13 12:47:50 2013 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Fri Sep 13 12:47:50 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/lua.git;a=commit;h=8e3d1edc
[net-im/prosody] Added keywords for 0.9.1
Signed-off-by: Vadim A. Misbakh-Soloviov <mva <AT> mva.name>
---
net-im/prosody/prosody-0.9.1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/net-im/prosody/prosody-0.9.1.ebuild b/net-im/prosody/prosody-0.9.1.ebuild
index c8f88cc..0cff454 100644
--- a/net-im/prosody/prosody-0.9.1.ebuild
+++ b/net-im/prosody/prosody-0.9.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://prosody.im/downloads/source/prosody-0.9.1.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS=""
+KEYWORDS="x86 amd64 mips arm sparc"
IUSE="doc +libevent mysql postgres sqlite +ssl +zlib luajit ipv6 migration"
DEPEND="
^ permalink raw reply related [flat|nested] 10+ messages in thread
* [gentoo-commits] proj/lua:master commit in: net-im/prosody/
@ 2015-02-26 10:42 Vadim A. Misbakh-Soloviov
0 siblings, 0 replies; 10+ messages in thread
From: Vadim A. Misbakh-Soloviov @ 2015-02-26 10:42 UTC (permalink / raw
To: gentoo-commits
commit: 2e9e90ba5fec70fa35c7bc27d07396a6eb552f47
Author: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
AuthorDate: Thu Feb 26 10:01:26 2015 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Thu Feb 26 10:01:26 2015 +0000
URL: http://sources.gentoo.org/gitweb/?p=proj/lua.git;a=commit;h=2e9e90ba
[net-im/prosody] Bump + fix erlparse install path
Signed-off-by: Vadim A. Misbakh-Soloviov <mva <AT> mva.name>
---
net-im/prosody/Manifest | 2 +-
net-im/prosody/{prosody-0.9.1.ebuild => prosody-0.9.7.ebuild} | 6 ++++--
net-im/prosody/prosody-9999.ebuild | 5 ++++-
3 files changed, 9 insertions(+), 4 deletions(-)
diff --git a/net-im/prosody/Manifest b/net-im/prosody/Manifest
index 7cec894..2b3093b 100644
--- a/net-im/prosody/Manifest
+++ b/net-im/prosody/Manifest
@@ -1 +1 @@
-DIST prosody-0.9.1.tar.gz 265755 SHA256 6cdea6fd6027bec621f7995709ca825a29aa5e066b321bfbb7785925c9f32cd5 SHA512 dbd0d8476f0abb4030f8c1ac68786cde2dd68bc2e6602ba8ea27b7d23f2010f963dd3ff50e0a6e7780bddfba014c7bbd1fa0c607d070d979131c15431e04c3fa WHIRLPOOL b07ff97008207a24e00ed051f6c7bab77200b8ae6c4b2cec95cdca25c1227600075e7cd240ed57f7cb07764239e72d545002e976c794f9434d13b0597d35ad61
+DIST prosody-0.9.7.tar.gz 266638 SHA256 dd4b99b39976442055898c933c013598e558beed11d7795d76ffc0f1a87e2e00 SHA512 fc1f0855e7af2132058af493bb9af20f9f1aa3051e6d8550ba9942264d85dc6840085b17e2a0226d4015745407f445c691455d998c4a43a3a9aa2d036a01ce9e WHIRLPOOL 5de40437be364856acbcaa2553aa54119bd46ed0afda9127211ff65ad9b4acea8b7a447452c7555ecfb9a58266cca319ecc2eb2a4959cb4e2390dc99dcf20b82
diff --git a/net-im/prosody/prosody-0.9.1.ebuild b/net-im/prosody/prosody-0.9.7.ebuild
similarity index 95%
rename from net-im/prosody/prosody-0.9.1.ebuild
rename to net-im/prosody/prosody-0.9.7.ebuild
index 0cff454..c3e6fd9 100644
--- a/net-im/prosody/prosody-0.9.1.ebuild
+++ b/net-im/prosody/prosody-0.9.7.ebuild
@@ -9,7 +9,7 @@ inherit eutils multilib toolchain-funcs versionator
DESCRIPTION="Prosody is a flexible communications server for Jabber/XMPP written in Lua."
HOMEPAGE="http://prosody.im/"
-SRC_URI="https://prosody.im/downloads/source/prosody-0.9.1.tar.gz"
+SRC_URI="https://prosody.im/downloads/source/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
@@ -92,6 +92,8 @@ src_compile() {
}
src_install() {
+ local lua=lua
+ use luajit && lua=luajit
default
# DESTDIR="${D}" emake install || die "make failed"
newinitd "${FILESDIR}/${PN}".initd "${PN}"
@@ -103,7 +105,7 @@ src_install() {
DESTDIR="${D}" emake install || die "migrator install failed"
cd "${S}"
rm -rf tools/migration
- insinto $($(tc-getPKG_CONFIG) lua --variable INSTALL_LMOD)
+ insinto $($(tc-getPKG_CONFIG) ${lua} --variable INSTALL_LMOD)
doins tools/erlparse.lua
rm tools/erlparse.lua
fowners "jabber:jabber" -R "/usr/$(get_libdir)/${PN}"
diff --git a/net-im/prosody/prosody-9999.ebuild b/net-im/prosody/prosody-9999.ebuild
index 7143445..9671253 100644
--- a/net-im/prosody/prosody-9999.ebuild
+++ b/net-im/prosody/prosody-9999.ebuild
@@ -104,6 +104,9 @@ src_compile() {
}
src_install() {
+ local lua=lua
+ use luajit && lua=luajit
+
default
newinitd "${FILESDIR}/${PN}".initd "${PN}"
insinto /etc/logrotate.d
@@ -114,7 +117,7 @@ src_install() {
DESTDIR="${D}" emake install || die "migrator install failed"
cd "${S}"
rm -rf tools/migration
- insinto $($(tc-getPKG_CONFIG) lua --variable INSTALL_LMOD)
+ insinto $($(tc-getPKG_CONFIG) ${lua} --variable INSTALL_LMOD)
doins tools/erlparse.lua
rm tools/erlparse.lua
fowners "jabber:jabber" -R "/usr/$(get_libdir)/${PN}"
^ permalink raw reply related [flat|nested] 10+ messages in thread
* [gentoo-commits] proj/lua:master commit in: net-im/prosody/
@ 2016-01-05 22:37 Vadim A. Misbakh-Soloviov
0 siblings, 0 replies; 10+ messages in thread
From: Vadim A. Misbakh-Soloviov @ 2016-01-05 22:37 UTC (permalink / raw
To: gentoo-commits
commit: 4c103845b9d578a1cdff6afff45878b7451d677b
Author: Vadim A. Misbakh-Soloviov <git <AT> mva <DOT> name>
AuthorDate: Tue Jan 5 22:37:33 2016 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Tue Jan 5 22:37:33 2016 +0000
URL: https://gitweb.gentoo.org/proj/lua.git/commit/?id=4c103845
prosody: fix
Signed-off-by: Vadim A. Misbakh-Soloviov <git <AT> mva.name>
net-im/prosody/prosody-9999.ebuild | 1 +
1 file changed, 1 insertion(+)
diff --git a/net-im/prosody/prosody-9999.ebuild b/net-im/prosody/prosody-9999.ebuild
index 371d48f..976b677 100644
--- a/net-im/prosody/prosody-9999.ebuild
+++ b/net-im/prosody/prosody-9999.ebuild
@@ -76,6 +76,7 @@ src_configure() {
--sysconfdir="${JABBER_ETC}" \
--datadir="${JABBER_SPOOL}" \
--with-lua-lib=/usr/$(get_libdir) \
+ --libdir=/usr/$(get_libdir) \
--c-compiler="$(tc-getCC)" --linker="$(tc-getCC)" \
--cflags="${CFLAGS} -Wall -fPIC -D_GNU_SOURCE" \
--ldflags="${LDFLAGS} -shared" \
^ permalink raw reply related [flat|nested] 10+ messages in thread
* [gentoo-commits] proj/lua:master commit in: net-im/prosody/
@ 2017-11-09 4:09 Vadim A. Misbakh-Soloviov
0 siblings, 0 replies; 10+ messages in thread
From: Vadim A. Misbakh-Soloviov @ 2017-11-09 4:09 UTC (permalink / raw
To: gentoo-commits
commit: e39e7974d5b5e207662c272efefde2c653db08e4
Author: Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 8 23:03:19 2017 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Thu Nov 9 04:09:42 2017 +0000
URL: https://gitweb.gentoo.org/proj/lua.git/commit/?id=e39e7974
net-im/prosody: fix failure at configure
Upstream commit 8283:330a8627e41d (configure: Remove unused "require
config" option) removed the configure argument which is used by ebuild.
This caused emerge failure.
net-im/prosody/prosody-9999.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/net-im/prosody/prosody-9999.ebuild b/net-im/prosody/prosody-9999.ebuild
index adce109..a9dafe0 100644
--- a/net-im/prosody/prosody-9999.ebuild
+++ b/net-im/prosody/prosody-9999.ebuild
@@ -111,7 +111,7 @@ src_configure() {
--runwith="${lua}" \
--with-lua-include="$($(tc-getPKG_CONFIG) --variable includedir ${lua})" \
--with-lua-lib="$($(tc-getPKG_CONFIG) --variable libdir ${lua})" \
- --require-config "${myconf[@]}" || die "configure failed"
+ "${myconf[@]}" || die "configure failed"
}
src_compile() {
^ permalink raw reply related [flat|nested] 10+ messages in thread
* [gentoo-commits] proj/lua:master commit in: net-im/prosody/
@ 2018-08-08 16:19 Vadim A. Misbakh-Soloviov
0 siblings, 0 replies; 10+ messages in thread
From: Vadim A. Misbakh-Soloviov @ 2018-08-08 16:19 UTC (permalink / raw
To: gentoo-commits
commit: 6954ec49bbb2e930165d9ca2d1c8175d4a47d256
Author: Vadim A. Misbakh-Soloviov <git <AT> mva <DOT> name>
AuthorDate: Wed Aug 8 16:18:24 2018 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Wed Aug 8 16:18:24 2018 +0000
URL: https://gitweb.gentoo.org/proj/lua.git/commit/?id=6954ec49
prosody: manifest
net-im/prosody/Manifest | 1 -
1 file changed, 1 deletion(-)
diff --git a/net-im/prosody/Manifest b/net-im/prosody/Manifest
deleted file mode 100644
index aa7b9c6..0000000
--- a/net-im/prosody/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST prosody-0.9.8.tar.gz 268716 SHA256 9470415c56e0b847089b45fabd48bc1f8211cd525fba56967409d064f4257871 SHA512 08ca8c8028a947a22d68ddc1d7eb93d3d205894102c900ece9e537ef9dd9332e8509e4b170069383e4f9717b52fd41aec2aa9d959e16ddebf0c3d54fe31aef3c WHIRLPOOL ab0b7a7e4324dd5ea59db4c6470f36cd047aa9da240cd987b9159cfa753e6f28cbf33bb726f8e89762e31ec6a09b7915162beb46e7e429159e52e6cb50dd2728
^ permalink raw reply related [flat|nested] 10+ messages in thread
end of thread, other threads:[~2018-08-09 6:06 UTC | newest]
Thread overview: 10+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-09-13 5:11 [gentoo-commits] proj/lua:master commit in: net-im/prosody/ Vadim A. Misbakh-Soloviov
-- strict thread matches above, loose matches on Subject: below --
2018-08-08 16:19 Vadim A. Misbakh-Soloviov
2017-11-09 4:09 Vadim A. Misbakh-Soloviov
2016-01-05 22:37 Vadim A. Misbakh-Soloviov
2015-02-26 10:42 Vadim A. Misbakh-Soloviov
2013-09-13 12:49 Vadim A. Misbakh-Soloviov
2013-06-15 9:10 Vadim A. Misbakh-Soloviov
2013-05-22 21:56 Vadim A. Misbakh-Soloviov
2012-08-05 2:33 Misbakh-Soloviev Vadim A.
2012-08-04 16:55 Misbakh-Soloviev Vadim A.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox